symbol

A string that represents the AMQP symbol type. More...

`#include <symbol.hpp>`

Inherits string.

## Public Member Functions

| symbol (const std::string &s=std::string())
| Construct from a `std::string`.
| symbol (const char *s)
| Construct from a C string.
template<class Iter >
| symbol (Iter start, Iter finish)
| Construct from any sequence of `char`.

## Detailed Description

A string that represents the AMQP symbol type.

A symbol can contain only 7-bit ASCII characters.

Examples
  message_properties.cpp, and service_bus.cpp.

The documentation for this class was generated from the following file:

- proton/symbol.hpp